* ------------------------------------------------------------------ ReadHdrs
      subroutine ReadHdrs(f_in, char_head, int_head, real_head, 
     :                    comments)

* Read headers of SMC and RS2 files

* The output arrays char_head, int_head, real_head should be dimensioned
* as follows in the calling program:

*      character char_head(11)*80, comments(500)*80
*      integer int_head(48)
*      real real_head(50)

*  Dates: 07/07/01 - Written by D. Boore, based on SMCRead

      real real_head(*)
      integer int_head(*)
      character*80 char_head(*), comments(*)
      character f_in*(*)

      
      call get_lun(nunit)
      open(unit= nunit, file=f_in, status='unknown')

      do i = 1, 11
        read(nunit, '(a)') char_head(i)
      end do

      read(nunit, '(8I10)') (int_head(i), i=1, 48)

      read(nunit, '(5e15.7)') (real_head(i), i = 1, 50)

      do i = 1, int_head(16)
        read(nunit,'(a)') comments(i)
      end do

      close(unit=nunit)

      return
      end
* ------------------------------------------------------------------ ReadHdrs
