      subroutine CSRC (KPARM,CSTR,C,NC)

c Read character string C(1:NC) from the KPARMth field in CSTR.
c (Fields start after an optional '='; see subroutine CSR123 for field rules.)
c If the KPARMth field is empty or nonexistent return with C empty and NC=0.
c Written by C. Mueller, USGS.

      character CSTR*(*),C*(*)

c find start and end of KPARMth field and get C(1:NC)
      K3 = Index(CSTR,'=')
      do 1 K=1,KPARM
        call CSR123 (CSTR,K1,K2,K3)
1     continue
      if (K1.eq.K3) goto 101
      C = CSTR(K1:K2)
      NC = Min(K2-K1+1,Len(C))
      return
c error
101   C = ' '
      NC = 0
      return

      end
