      subroutine CSRF (KPARM,CSTR,F,ISTAT,RU)

c Read real F from the KPARMth field in CSTR.
c (Fields start after an optional '='; see subroutine CSR123 for field rules.)
c ISTAT= 0 -> OK
c      = 1 -> KPARMth field is empty; return with F=RU.
c      = 2 -> KPARMth field is unreadable; return with F=RU.
c Written by C. Mueller, USGS.

      character CSTR*(*)

c find start and end of KPARMth field and get F
      K3 = Index(CSTR,'=')
      do 1 K=1,KPARM
        call CSR123 (CSTR,K1,K2,K3)
1     continue
      if (K1.eq.K3) goto 101
      read (CSTR(K1:K2),'(f15.0)',err=102) F
      ISTAT = 0
      return
c error
101   ISTAT = 1
      F = RU
      return
102   ISTAT = 2
      F = RU
      return

      end
