      subroutine CSRI (KPARM,CSTR,I,ISTAT,IU)

c Read integer I from the KPARMth field in CSTR.
c (Fields start after an optional '='; see subroutine CSR123 for field rules.)
c ISTAT= 0 -> OK
c      = 1 -> KPARMth field is empty; return with I=IU.
c      = 2 -> KPARMth field is unreadable; return with I=IU.
c Written by C. Mueller, USGS.

      character CSTR*(*)

c find start and end of KPARMth field and get I
      K3 = Index(CSTR,'=')
      do 1 K=1,KPARM
        call CSR123 (CSTR,K1,K2,K3)
1     continue
      if (K1.eq.K3) goto 101
      read (CSTR(K1:K2),'(i12)',err=102) I
      ISTAT = 0
      return
c error
101   ISTAT = 1
      I = IU
      return
102   ISTAT = 2
      I = IU
      return

      end
