! --------------------------------------------------- Get_Path_From_File_Name
      subroutine get_path_from_file_name(f_in,nc_f_in,path,nc_path)

! Extract path from a file name (nc_path = 0 if no path)

! Dates: 06/08/01 - Written by D. Boore
!        07/16/07 - Renamed from "get_path.for", because
!                   I want to use that name for a new routine
!                   that obtains the path name from a system call
!        11/07/16 - Some small changes, such as including length of f_in in 
!                   nc_path = index(f_in(1:nc_f_in),'\') statement

      character f_in*(*), path*(*)

      path = ' '
      nc_path = index(f_in(1:nc_f_in),'\') 
      if (nc_path == 0) then  ! no path
        return
      end if

! Find last occurrence of '\':

      do i = nc_f_in, 1, -1
        if (f_in(i:i) == '\') then
          nc_path = i
          path = f_in(1:nc_path)
          return
        end if
      end do
                
      write(*,'(a)') '  Oops!  Expected path in '//f_in(1:nc_f_in)//
     : ' but none found'

      return
      end
! --------------------------------------------------- Get_Path_From_File_Name
