* ------------------------------------------------------------- SMC_NSps
      subroutine smc_nsps(f_smc, npts, sps)

* Open smc file and obtain npts, sps of time series:

* Dates: 12/26/00 - Written by D. Boore, patterned after smc_npts.for
*        01/04/01 - Reset sps to -1.0 if unevenly spaced data

      integer int_head(48)
      real real_head(2)
      character f_smc*(*)

      call get_lun(nu_smc)
      open(unit=nu_smc,file=f_smc,status='unknown')
      call skip(nu_smc,11)
      read(nu_smc,'(8i10)') (int_head(i),i=1,48)
      npts = int_head(17)
      read(nu_smc,'(5e15.7)') (real_head(i),i=1,2)
      if (real_head(2) .eq. real_head(1)) then   ! unevenly sampled
        sps = -1.0
      else
        sps = real_head(2)
      end if

      close(nu_smc)        

      return
      end
* ------------------------------------------------------------- SMC_NSps
